#!/system/bin/sh

function run() {

while [[ -z $(resetprop sys.boot_completed) ]]; do sleep 5; done

su -lp 2000 -c "cmd notification post -S bigtext -t 'Ping Booster Latency' 'Tag' 'Starting Configuration.'"

sleep 1;while true;do boot=$(getprop sys.boot_completed);if [ "$boot" = 1 ];then
echo "0" > /proc/sys/net/ipv4/tcp_timestamps
echo "1" > /proc/sys/net/ipv4/tcp_sack
echo "1" > /proc/sys/net/ipv4/tcp_tw_recycle
echo "1" > /proc/sys/net/ipv4/tcp_tw_reuse
echo "1" > /proc/sys/net/ipv4/tcp_window_scaling
echo "5" > /proc/sys/net/ipv4/tcp_keepalive_probes
echo "30" > /proc/sys/net/ipv4/tcp_fin_timeout
echo "30" > /proc/sys/net/ipv4/tcp_keepalive_intvl
echo "4096,16384,404480" > /proc/sys/net/ipv4/tcp_wmem
echo "4096,87380,404480" > /proc/sys/net/ipv4/tcp_rmem
echo "256960" > /proc/sys/net/core/rmem_default
echo "256960" > /proc/sys/net/core/wmem_default
echo "404480" > /proc/sys/net/core/rmem_max
echo "404480" > /proc/sys/net/core/wmem_max
exit;fi;sleep 1;done
write()

if [ -f "$1" ]; then
chmod +w "$1" 2>/dev/null
echo "$2" > "$1"
fi
}
append() {
if [ -f "$1" ]; then
chmod +w "$1" 2>/dev/null
echo "$2" >> "$1"
fi
}
BB=/data/adb/magisk/busybox
resetprop net.rmnet0.dns1 1.1.1.1
resetprop net.rmnet0.dns2 1.0.0.1
resetprop net.rmnet1.dns1 1.1.1.1
resetprop net.rmnet1.dns2 1.0.0.1
resetprop net.dns1 1.1.1.1
resetprop net.dns2 1.0.0.1
resetprop net.wcdma.dns1 1.1.1.1
resetprop net.wcdma.dns2 1.0.0.1
resetprop net.hspa.dns1 1.1.1.1
resetprop net.hspa.dns2 1.0.0.1
resetprop net.lte.dns1 1.1.1.1
resetprop net.lte.dns2 1.0.0.1
resetprop net.ltea.dns1 1.1.1.1
resetprop net.ltea.dns2 1.0.0.1
resetprop net.ppp0.dns1 1.1.1.1
resetprop net.ppp0.dns2 1.0.0.1
resetprop net.pdpbr1.dns1 1.1.1.1
resetprop net.pdpbr1.dns2 1.0.0.1
resetprop net.wlan0.dns1 1.1.1.1
resetprop net.wlan0.dns2 1.0.0.1
resetprop 2606:4700:4700::1111
resetprop 2606:4700:4700::1001
$BB mkdir -p $MODDIR/system/etc
append $MODDIR/system/etc/resolv.conf "nameserver 1.1.1.1"
append $MODDIR/system/etc/resolv.conf "nameserver 1.0.0.1"
iptables -t nat -A OUTPUT -p tcp --dport 53 -j DNAT --to-destination 1.1.1.1:53
iptables -t nat -A OUTPUT -p udp --dport 53 -j DNAT --to-destination 1.0.0.1:53
iptables -t nat -I OUTPUT -p tcp --dport 53 -j DNAT --to-destination 1.1.1.1:53
iptables -t nat -I OUTPUT -p udp --dport 53 -j DNAT --to-destination 1.0.0.1:53
done

su -lp 2000 -c "cmd notification post -S bigtext -t 'Ping Booster Latency' 'Tag' 'Successfully Runing.'"

}

run > /dev/null 2>&1